Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ExecuteExplainForSparkOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ExecuteExplainForSpark`, `ClientWireProtocol.ExecuteExplainForSpark.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.ExecuteExplainForSparkOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `getForce()` | `bool force = 4;`
`int` | `getPartitioningParam()` | `sfixed32 partitioningParam = 3;`
`String` | `getSql()` | `string sql = 1;`
`com.google.protobuf.ByteString` | `getSqlBytes()` | `string sql = 1;`
`ClientWireProtocol.ExecuteExplainForSpark.PartitioningType` | `getType()` | `.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`
`int` | `getTypeValue()` | `.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getSql

String getSql()
`string sql = 1;`

### getSqlBytes

com.google.protobuf.ByteString getSqlBytes()
`string sql = 1;`

### getTypeValue

int getTypeValue()
`.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`

### getType

ClientWireProtocol.ExecuteExplainForSpark.PartitioningType getType()
`.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`

### getPartitioningParam

int getPartitioningParam()
`sfixed32 partitioningParam = 3;`

### getForce

boolean getForce()
`bool force = 4;`